| MINI55_BSP V3.03.000 The Board Support Package for Mini55 Series MCU

Macros | Functions | Variables
system_Mini55Series.h File Reference

Mini55 series system clock definition file. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __XTAL12M (12000000UL)
#define | __XTAL32K (32768UL)
#define | __IRC44M (44236800UL) /* Internal high speed RC oscillator will be trimmed to 44.2368MHz */
#define | __IRC48M (48000000UL) /* Internal high speed RC will be trimmed to 48MHz */
#define | __IRC44M_DIV2 (22118400UL) /* Clock output of Internal high speed RC 44.2368M divided by 2 */
#define | __IRC48M_DIV2 (24000000UL) /* Clock output of Internal high speed RC 48M divided by 2 */
#define | __IRC10K (10000UL)
#define | __XTAL __XTAL12M
#define | __SYSTEM_CLOCK (1*__XTAL)

## Functions
void | SystemCoreClockUpdate (void)
| Updates the SystemCoreClock with current core Clock retrieved from CPU registers. More...
int32_t | SystemInit (void)
| Check HIRC clock rate feed to HCLK. More...

## Variables
uint32_t | __HSI
uint32_t | SystemCoreClock
uint32_t | CyclesPerUs

## Detailed Description

Mini55 series system clock definition file.

Version
  V1.00

Revision
  4

Date
  15/06/29 11:16a

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2014 Nuvoton Technology Corp. All rights reserved.

Definition in file system_Mini55Series.h.

## Macro Definition Documentation

## ◆ __IRC10K

#define __IRC10K (10000UL)

Definition at line 35 of file system_Mini55Series.h.

## ◆ __IRC44M

#define __IRC44M (44236800UL) /* Internal high speed RC oscillator will be trimmed to 44.2368MHz */

Definition at line 31 of file system_Mini55Series.h.

## ◆ __IRC44M_DIV2

#define __IRC44M_DIV2 (22118400UL) /* Clock output of Internal high speed RC 44.2368M divided by 2 */

Definition at line 33 of file system_Mini55Series.h.

## ◆ __IRC48M

#define __IRC48M (48000000UL) /* Internal high speed RC will be trimmed to 48MHz */

Definition at line 32 of file system_Mini55Series.h.

## ◆ __IRC48M_DIV2

#define __IRC48M_DIV2 (24000000UL) /* Clock output of Internal high speed RC 48M divided by 2 */

Definition at line 34 of file system_Mini55Series.h.

## ◆ __SYSTEM_CLOCK

#define __SYSTEM_CLOCK (1*__XTAL)

Definition at line 38 of file system_Mini55Series.h.

## ◆ __XTAL

#define __XTAL __XTAL12M

Definition at line 36 of file system_Mini55Series.h.

## ◆ __XTAL12M

#define __XTAL12M (12000000UL)

Definition at line 29 of file system_Mini55Series.h.

## ◆ __XTAL32K

#define __XTAL32K (32768UL)

Definition at line 30 of file system_Mini55Series.h.

## Function Documentation

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Update SystemCoreClock variable

Parameters

  None |

Returns
  None

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Parameters

  None. |

Return values

  None. |

Definition at line 59 of file system_Mini55Series.c.

Here is the caller graph for this function:

## ◆ SystemInit()

int32_t SystemInit | ( | void |  | ) |

Check HIRC clock rate feed to HCLK.

Returns
  none

Definition at line 31 of file system_Mini55Series.c.

## Variable Documentation

## ◆ __HSI

uint32_t __HSI
| extern

Factory Default is internal high speed RC 44.2368M divided by 2

Definition at line 21 of file system_Mini55Series.c.

## ◆ CyclesPerUs

uint32_t CyclesPerUs
| extern

Cycles per micro second

Definition at line 23 of file system_Mini55Series.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock
| extern

System Clock Frequency (Core Clock)

Definition at line 22 of file system_Mini55Series.c.